package com.ruoyi.biz.service;

import com.ruoyi.biz.domain.ArFileImage;
import com.ruoyi.biz.domain.vo.ArFileImageVo;
import com.ruoyi.biz.domain.bo.ArFileImageBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 相册Service接口
 *
 * @author gwd
 * @date 2023-07-11
 */
public interface IArFileImageService {

    /**
     * 查询相册
     */
    ArFileImageVo queryById(Long id);

    /**
     * 查询相册列表
     */
    TableDataInfo<ArFileImageVo> queryPageList(ArFileImageBo bo, PageQuery pageQuery);

    /**
     * 查询相册列表
     */
    List<ArFileImageVo> queryList(ArFileImageBo bo);

    /**
     * 新增相册
     */
    Boolean insertByBo(ArFileImageBo bo);

    /**
     * 修改相册
     */
    Boolean updateByBo(ArFileImageBo bo);

    /**
     * 校验并批量删除相册信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
